Bug 693302 - static network kickstart configuration having --device specified with MAC tracebacks (KeyError: '00:0c:29:09:85:fa')
static network kickstart configuration having --device specified with MAC tra...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
15
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Radek Vykydal
Fedora Extras Quality Assurance
AcceptedNTH anaconda_trace_hash:19bdf...
:
Depends On:
Blocks: F15-accepted/F15FinalFreezeExcept
  Show dependency treegraph
 
Reported: 2011-04-04 05:32 EDT by Radek Vykydal
Modified: 2011-04-28 15:22 EDT (History)
4 users (show)

See Also:
Fixed In Version: anaconda-15.29-1.fc15
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-04-28 15:22:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Attached traceback automatically from anaconda. (193.96 KB, text/plain)
2011-04-04 05:32 EDT, Radek Vykydal
no flags Details

  None (edit)
Description Radek Vykydal 2011-04-04 05:32:35 EDT
The following was filed automatically by anaconda:
anaconda 15.24 exception report
Traceback (most recent call first):
  File "/usr/lib/python2.7/site-packages/pyanaconda/network.py", line 447, in setDNS
    self.netdevices[device].set((dnslabel, addr))
  File "/usr/lib/python2.7/site-packages/pyanaconda/kickstart.py", line 674, in execute
    self.anaconda.network.setDNS(self.nameserver, device)
  File "/usr/lib/python2.7/site-packages/pyanaconda/kickstart.py", line 1212, in execute
    obj.execute()
  File "/usr/sbin/anaconda", line 920, in <module>
    anaconda.ksdata.execute()
KeyError: '00:0c:29:09:85:fa'
Comment 1 Radek Vykydal 2011-04-04 05:32:41 EDT
Created attachment 489725 [details]
Attached traceback automatically from anaconda.
Comment 2 Radek Vykydal 2011-04-04 07:04:20 EDT
Patch with fix:
http://www.redhat.com/archives/anaconda-devel-list/2011-April/msg00049.html
Comment 3 James Laska 2011-04-21 15:57:07 EDT
Discussed at 2011-04-21 blocker review meeting (http://meetbot.fedoraproject.org/fedora-bugzappers/2011-04-21/f15-blocker-review.2011-04-21-17.00.html) ...

AGREED: 693302 - AcceptedNTH - patch out for review on anaconda-devel@
Comment 4 Fedora Update System 2011-04-26 10:41:08 EDT
anaconda-15.29-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/anaconda-15.29-1.fc15
Comment 5 Fedora Update System 2011-04-26 22:27:11 EDT
Package anaconda-15.29-1.fc15:
* should fix your issue,
* was pushed to the Fedora 15 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing anaconda-15.29-1.fc15'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/anaconda-15.29-1.fc15
then log in and leave karma (feedback).
Comment 6 Fedora Update System 2011-04-28 15:21:51 EDT
anaconda-15.29-1.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.